> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ankra.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# List Cluster Access Grants Endpoint



## OpenAPI

````yaml https://platform.ankra.app/openapi.json get /api/v1/clusters/{cluster_id}/access/grants
openapi: 3.1.0
info:
  title: FastAPI
  version: 0.1.0
servers:
  - url: https://platform.ankra.app
security: []
paths:
  /api/v1/clusters/{cluster_id}/access/grants:
    get:
      tags:
        - Cluster Access
      summary: List Cluster Access Grants Endpoint
      operationId: >-
        list_cluster_access_grants_endpoint_api_v1_clusters__cluster_id__access_grants_get
      parameters:
        - in: path
          name: cluster_id
          required: true
          schema:
            format: uuid4
            title: Cluster Id
            type: string
        - in: header
          name: authorization
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Authorization
        - in: header
          name: x-ankra-organisation-id
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Ankra-Organisation-Id
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListClusterAccessGrantsResponse'
          description: Successful Response
        '401':
          description: Unauthorized
        '404':
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Validation Error
components:
  schemas:
    ListClusterAccessGrantsResponse:
      properties:
        result:
          items:
            $ref: '#/components/schemas/ClusterAccessGrant'
          title: Result
          type: array
      required:
        - result
      title: ListClusterAccessGrantsResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    ClusterAccessGrant:
      properties:
        ankra_user_id:
          format: uuid4
          title: Ankra User Id
          type: string
        cluster_id:
          format: uuid4
          title: Cluster Id
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        id:
          format: uuid4
          title: Id
          type: string
        namespace:
          anyOf:
            - type: string
            - type: 'null'
          title: Namespace
        organisation_id:
          format: uuid4
          title: Organisation Id
          type: string
        reconcile_error:
          anyOf:
            - type: string
            - type: 'null'
          title: Reconcile Error
        reconcile_status:
          enum:
            - pending
            - applied
            - failed
            - cluster_offline
          title: Reconcile Status
          type: string
        reconciled_at:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Reconciled At
        role:
          enum:
            - view
            - edit
            - admin
            - cluster-admin
          title: Role
          type: string
        scope:
          enum:
            - cluster
            - namespace
          title: Scope
          type: string
        user_email:
          anyOf:
            - type: string
            - type: 'null'
          title: User Email
      required:
        - id
        - organisation_id
        - cluster_id
        - ankra_user_id
        - scope
        - namespace
        - role
        - reconcile_status
        - reconcile_error
        - reconciled_at
        - created_at
      title: ClusterAccessGrant
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object

````